# arm_cfft_radix4_instance_q31 Struct Reference

Instance structure for the Q31 CFFT/CIFFT function. More...

`#include <arm_math.h>`

## Data Fields

uint16_t | fftLen
uint8_t | ifftFlag
uint8_t | bitReverseFlag
q31_t * | pTwiddle
uint16_t * | pBitRevTable
uint16_t | twidCoefModifier
uint16_t | bitRevFactor

## Detailed Description

Instance structure for the Q31 CFFT/CIFFT function.

Definition at line 1904 of file arm_math.h.

## Field Documentation

uint16_t arm_cfft_radix4_instance_q31::fftLen

length of the FFT.

Definition at line 1906 of file arm_math.h.

uint8_t arm_cfft_radix4_instance_q31::ifftFlag

flag that selects forward (ifftFlag=0) or inverse (ifftFlag=1) transform.

Definition at line 1907 of file arm_math.h.

uint8_t arm_cfft_radix4_instance_q31::bitReverseFlag

flag that enables (bitReverseFlag=1) or disables (bitReverseFlag=0) bit reversal of output.

Definition at line 1908 of file arm_math.h.

q31_t* arm_cfft_radix4_instance_q31::pTwiddle

points to the twiddle factor table.

Definition at line 1909 of file arm_math.h.

uint16_t* arm_cfft_radix4_instance_q31::pBitRevTable

points to the bit reversal table.

Definition at line 1910 of file arm_math.h.

uint16_t arm_cfft_radix4_instance_q31::twidCoefModifier

twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Definition at line 1911 of file arm_math.h.

uint16_t arm_cfft_radix4_instance_q31::bitRevFactor

bit reversal modifier that supports different size FFTs with the same bit reversal table.

Definition at line 1912 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines